Skip to main content
`Ctrl`+`K`

# DMSwarmGetLocalSize

Retrieves the local length of fields registered

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetLocalSize(DM dm, PetscInt *nlocal)

Not Collective

## Input Parameter

- dm - a `DMSWARM`

## Output Parameter

- nlocal - the length of each registered field

## See Also

`DM`, `DMSWARM`, `DMSwarmGetSize()`, `DMSwarmSetLocalSizes()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ts/tutorials/ex77.c
src/dm/tutorials/swarm_ex3.c
src/dm/tutorials/swarm_ex1.c
src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/swarm_ex2.c
src/dm/tutorials/ex21.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages